### Name: Multiplicative interaction
### Title: Specify a Multiplicative Interaction in a gnm Model Formula
### Aliases: Mult Exp
### Keywords: models regression nonlinear

### ** Examples

set.seed(1)
## Using 'Mult' with 'Exp' to constrain the first constituent multiplier
data(yaish)
## Fit the "UNIDIFF" mobility model across education levels
unidiff <- gnm(Freq ~ educ*orig + educ*dest +
               Mult(Exp(-1 + educ), -1 + orig:dest),
               family = poisson, data = yaish, subset = (dest != 7))

## Not run: 
##D ## (this example can take quite a while to run)
##D ##
##D ## Using 'multiplicity' > 1
##D data(wheat)
##D yield.scaled <- wheat$yield * sqrt(3/1000)
##D treatment <- factor(paste(wheat$tillage, wheat$summerCrop, wheat$manure,
##D                           wheat$N, sep = ""))
##D bilinear2 <- gnm(yield.scaled ~ year + treatment +
##D                  Mult(year, treatment, multiplicity = 2),
##D                  family = gaussian, data = wheat)
## End(Not run)



